﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using System.Globalization;

namespace RadGridViewNorthwind1
{
    public partial class MainWindow : Window
    {
        private NorthwindContext dbContext;

        public MainWindow()
        {
            InitializeComponent();
            var vm = new NorthwindViewModel();
            //this.dbContext = vm.dbContext;
            this.ordersGrid.DataContext = vm;
           // this.ordersGrid.RowLoaded += OrdersGrid_RowLoaded;
        }

        private void OrdersGrid_RowLoaded(object sender, Telerik.Windows.Controls.GridView.RowLoadedEventArgs e)
        {
            if (e.DataElement != null && e.Row.DataContext != null)
            {
                var CurrentGridRow = e.Row.DataContext as Order;

                CurrentGridRow.Customers = this.dbContext.Customers.ToList();
            }
        }
    }
}
