﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace RadGridViewNorthwind1
{
    public class NorthwindViewModel : ViewModelBase
    {
        public NorthwindContext dbContext;
        private ObservableCollection<Order> orders;
        private ObservableCollection<Customer> customers;

        public NorthwindViewModel()
        {
            this.dbContext = new NorthwindContext();
            this.orders = new ObservableCollection<Order>(dbContext.Orders);
            this.customers = new ObservableCollection<Customer>(dbContext.Customers);
        }

        public ObservableCollection<Order> Orders
        {
            get
            {
                return this.orders;
            }
        }

        public ObservableCollection<Customer> Customers
        {
            get
            {
                return this.customers;
            }
        }
    }
}
